Bug 143293 - SystemError: pvcreate failed for <fsset.PartitionDevice instance at 0xb7515c6c>
Summary: SystemError: pvcreate failed for <fsset.PartitionDevice instance at 0xb7515c6c>
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
(Show other bugs)
Version: 3
Hardware: i386 Linux
medium
high
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
: 143294 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-12-18 08:05 UTC by Kevin Carter
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-01 22:02:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Kevin Carter 2004-12-18 08:05:51 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X Mach-O; en-US;
rv:1.7.2) Gecko/20040825 Camino/0.8.1

Description of problem:
Error occurs just before formatting and installing the packages:

Traceback *most recent call last):

 File "/usr/src/build/175969-i386/install//usr/lib/anaconda/gui.py",
line 1074, in handleRenderCallback
  self.currentWindow.renderCallback()
 File
"/usr/src/build/475969-i386/install//usr/lib/anaconda/iw/progress_gui.py,"
line 242, in renderCallback
  self.intf.icw.nextClicked()
 File "/usr/src/build/475969-i386/install/usr/lib/anaconda/gui.py",
line 789, in nextClicked
  self.dispatch.gotoNext()
 File
"usr/src/build/475969-i386/install//usr/lib/anaconda/dispatch.py",
line 171, in gotoNext
  self.moveStep()
 File
"usr/src/build/475969-i386/install//usr/lib/anaconda/dispatch.py",
line 239, in moveStep
  rc = apply(func, self.bindArgs(args))
 File
"/usr/src/build/475969-i386/install//usr/lib/anaconda/packages.py",
line 554, in turnOnFilesystems
  thefsset.createLogicalVolumes(instPath)
 File "/usr/src/build/475969-i386/install//usr/lib/anaconda/fsset.py",
line 1427, in createLogicalVolumes
  entry.device.setupDevice(chroot)
 File /usr/src/builg/475969-i386/install//usr/lib/anaconda/fsset.py",
line 1986, in setupDevice
  raise SystemError, "pvcreate failed for %s" % (volume,)

SystemError: pvcreate failed for <fsset.PartitionDevice instance at
0xb7515c6c>

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Boot In Graphical Mode
2. Choose formatting options (I chose Automatic and remove all partitions)
3. Choose packages to Install (I chose Workstation)

    

Actual Results:  Error as reported above

Expected Results:  Drives formatted and Installation of packages began.

Additional info:

Comment 1 Jeremy Katz 2004-12-20 18:12:18 UTC
*** Bug 143294 has been marked as a duplicate of this bug. ***

Comment 2 Jeremy Katz 2004-12-20 18:13:55 UTC
Can you provide the complete anacdump.txt you got when the installer
tracebacked?

Comment 3 Jeremy Katz 2005-02-01 22:02:27 UTC
Closing due to inactivity.  Please reopen if you have further information to add
to this report.


Note You need to log in before you can comment on or make changes to this bug.